package com.rjconsultores.ventaboletos.enums;

import java.util.Arrays;
import java.util.List;

public enum TipoIntegracaoTEF {
	
	SITEF("Sitef"),
	PAYGO("PayGo"),
	GRANITO("Granito"),
	ADYEN("Adyen"),
	CREDIBANCO("CrediBanco"),
	;
	
	private String descricao;

	private TipoIntegracaoTEF(String descricao) {
		this.descricao = descricao;
	}

	@Override
	public String toString() {
		return descricao;
	}
	
	public static List<TipoIntegracaoTEF> list() {
		return Arrays.asList(values());
	}
	
}
